# Uses of Interface
org.eclipse.emf.cdo.server.IStoreAccessor.QueryXRefsContext

Packages that use IStoreAccessor.QueryXRefsContext
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.

## Uses of IStoreAccessor.QueryXRefsContext in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server with parameters of type IStoreAccessor.QueryXRefsContext
Modifier and Type
Method
Description
`void`
IStoreAccessor.`queryXRefs(IStoreAccessor.QueryXRefsContext context)`

## Uses of IStoreAccessor.QueryXRefsContext in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type IStoreAccessor.QueryXRefsContext
Modifier and Type
Method
Description
`boolean`
IClassMapping.`queryXRefs(IDBStoreAccessor accessor, IStoreAccessor.QueryXRefsContext context, String idString)`
Retrieve cross-references from DB
`boolean`
IListMapping.`queryXRefs(IDBStoreAccessor accessor, String mainTableName, String mainTableWhere, IStoreAccessor.QueryXRefsContext context, String idString)`
Retrieve cross-references from DB.
`void`
IMappingStrategy.`queryXRefs(IDBStoreAccessor accessor, IStoreAccessor.QueryXRefsContext context)`
Executes a cross reference query.